<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>task 504.60</title>
</head>

<body>

</body>

</html>
<script>

    //YC1
    const getCurrentDate = () => {
        const currentDate = new Date();
        const month = currentDate.getMonth() + 1;
        const day = currentDate.getDate();
        const year = currentDate.getFullYear();
        return `${month}-${day}-${year}`;
    };

    console.log(getCurrentDate()); // Output: mm-dd-yyyy
    //YC2
    const capitalizeFirstLetters = (str) => {
        const words = str.split(' ');
        const capitalizedWords = words.map((word) => word.charAt(0).toUpperCase() + word.slice(1));
        return capitalizedWords.join(' ');
    };

    console.log(capitalizeFirstLetters('the quick brown fox')); // Output: 'The Quick Brown Fox'
    //YC3
    const getLastDayOfMonth = (year, month) => {
        const lastDay = new Date(year, month + 1, 0).getDate();
        return lastDay;
    };

    console.log(getLastDayOfMonth(2014, 0)); // Output: 31
    console.log(getLastDayOfMonth(2014, 1)); // Output: 28
    console.log(getLastDayOfMonth(2014, 11)); // Output: 31


</script>